Множественные уязвимости в phpGreetCards

Дата публикации:
31.12.2008
Дата изменения:
31.12.2008
Всего просмотров:
2131
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpGreetCards 3.x
Уязвимые версии: phpGreetCards 3.7, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "category" в сценарии index.php, когда параметр "mode" установлен в значение "select". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки типов загружаемых файлов в сценарии index.php. Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: www.w2b.ru/webapp.php?cat=phpGreetCards

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/7561

или введите имя

CAPTCHA